Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Ruby ODM for MongoDB
Ruby

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
examples
features
lib
script
spec
.document
.gitignore
.rspec
.rvmrc
.watchr
Gemfile
Gemfile.lock
LICENSE
README.textile
Rakefile
mongo_doc.gemspec
mongodb.example.yml

README.textile

MongoDoc

Version: 0.6.30 2011/06/18

MongoDoc is not actively supported.

I have been using MongoMapper (lightly) and Mongoid (heavily) since 2009. By June 2010, I had come to the conclusion that something more ‘native’ was the right way to go, and I began to use more and more features of MongoDB directly in my code irrespective of which ODM I was using (Mongoid, MongoDoc, or MongoMapper). After more than six months, I am convinced that ‘native’ is the right approach.

I will no longer be actively maintaining MongoDoc.

If you want a full-featured ODM for Ruby, take a look at mongoid .

Copyright

Copyright © 2009 – 2011 Les Hill. See LICENSE for details.

Something went wrong with that request. Please try again.